

# ListExports
<a name="API_ListExports"></a>

List exports.

## Request Syntax
<a name="API_ListExports_RequestSyntax"></a>

```
POST /ListExports HTTP/1.1
Content-type: application/json

{
   "filters": { 
      "exportIDs": [ "string" ]
   },
   "maxResults": number,
   "nextToken": "string"
}
```

## URI Request Parameters
<a name="API_ListExports_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_ListExports_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [filters](#API_ListExports_RequestSyntax) **   <a name="mgn-ListExports-request-filters"></a>
List exports request filters.  
Type: [ListExportsRequestFilters](API_ListExportsRequestFilters.md) object  
Required: No

 ** [maxResults](#API_ListExports_RequestSyntax) **   <a name="mgn-ListExports-request-maxResults"></a>
List export request max results.  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 1000.  
Required: No

 ** [nextToken](#API_ListExports_RequestSyntax) **   <a name="mgn-ListExports-request-nextToken"></a>
List export request next token.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Required: No

## Response Syntax
<a name="API_ListExports_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "items": [ 
      { 
         "arn": "string",
         "creationDateTime": "string",
         "endDateTime": "string",
         "exportID": "string",
         "progressPercentage": number,
         "s3Bucket": "string",
         "s3BucketOwner": "string",
         "s3Key": "string",
         "status": "string",
         "summary": { 
            "applicationsCount": number,
            "serversCount": number,
            "wavesCount": number
         },
         "tags": { 
            "string" : "string" 
         }
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListExports_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [items](#API_ListExports_ResponseSyntax) **   <a name="mgn-ListExports-response-items"></a>
List export response items.  
Type: Array of [ExportTask](API_ExportTask.md) objects

 ** [nextToken](#API_ListExports_ResponseSyntax) **   <a name="mgn-ListExports-response-nextToken"></a>
List export response next token.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.

## Errors
<a name="API_ListExports_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** UninitializedAccountException **   
Uninitialized account exception.  
HTTP Status Code: 400

## See Also
<a name="API_ListExports_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mgn-2020-02-26/ListExports) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mgn-2020-02-26/ListExports) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mgn-2020-02-26/ListExports) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mgn-2020-02-26/ListExports) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mgn-2020-02-26/ListExports) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mgn-2020-02-26/ListExports) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mgn-2020-02-26/ListExports) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mgn-2020-02-26/ListExports) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mgn-2020-02-26/ListExports) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mgn-2020-02-26/ListExports) 